AWPCP - Fully Compatible with PHP 7.0 and 7.1? | Support Questions | Support Forum

A A A

Please consider registering
guest

sp_LogInOut Log In sp_Registration Register

Register | Lost password?
Advanced Search

— Forum Scope —




— Match —





— Forum Options —





Minimum search word length is 3 characters - maximum search word length is 84 characters

sp_Feed Topic RSS sp_TopicIcon
AWPCP - Fully Compatible with PHP 7.0 and 7.1?
November 11, 2018
3:39 am
SilverSunrise
Member
Members
Forum Posts: 52
Member Since:
August 9, 2013
sp_UserOfflineSmall Offline

Dear Support Team and Forum Members,

I am about to upgrade my live site from PHP 5.6.30 to PHP 7.0.

Are AWPCP as well as all the addon modules fully compatible with PHP 7.0 so that I can proceed with upgrading the PHP version on my server?

Thank you very much for your thoughts and support!

Best regards

Joe

November 12, 2018
9:23 am
AWPCP Support
Moderator
Members

Moderators
Forum Posts: 5236
Member Since:
September 4, 2013
sp_UserOfflineSmall Offline

Hi SilverSunrise,

Thanks for your post! Yes, definitely! In fact, we highly recommend the 7.x version of PHP for everyone. 

December 6, 2018
3:27 pm
qshyzogil
New Member
Members
Forum Posts: 1
Member Since:
August 28, 2015
sp_UserOfflineSmall Offline

I upgraded my site to 7.0 and had to go back because of a conflict with AWPCP. Really need to upgrade as other plugins require 7. My version of AWPCP is 3.9.3. Any thoughts?

December 7, 2018
8:51 am
AWPCP Support
Moderator
Members

Moderators
Forum Posts: 5236
Member Since:
September 4, 2013
sp_UserOfflineSmall Offline

Hi qshyzogil,

Thanks for your post. Sorry that you ran into issues with this! AWPCP should be compatible with versions of PHP higher than 5.6.

We are happy to help troubleshoot this issue with you. Can you tell me a bit more?
- What version of WP are you running here?
- What exact version of any other AWPCP Modules? (number, please)
- Can you please send a link to the affected site? 

You mentioned a conflict. Can you describe how you did this test? Here is an article about how to test for theme and plugin conflicts with AWPCP, which may help pinpoint the issue: http://awpcp.com/forum/faq/how.....conflicts/

That will help us troubleshoot the issue a little faster. Please let me know here or contact us with a link to this forum thread and that information here: https://awpcp.com/contact/

Forum Timezone: America/Denver

Most Users Ever Online: 163

Currently Online:
17 Guest(s)

Currently Browsing this Page:
1 Guest(s)

Top Posters:

Johnny B: 140

godie: 120

kerdezo: 99

laburke: 94

NAIN KHAN: 93

salvig67: 84

rude: 72

purplepaula: 72

WAYTOBAYWTB52: 71

gery: 71

Member Stats:

Guest Posters: 31

Members: 37917

Moderators: 2

Admins: 2

Forum Stats:

Groups: 1

Forums: 4

Topics: 6965

Posts: 31009

Newest Members:

Keto2, sonyqq, TomFors, Kara Rozendaal, Cesler Kita, Alexander Liebrecht, Shahidul Islam, NNPA Newswire, mzmsalman, Doucoure oumae

Moderators: awpcp: 7530, AWPCP Support: 5236

Administrators: wpengine: 0, awpcp: 298

Skip to toolbar